Package org.drinkless.tdlib

# Class TdApi.ReportSponsoredResultOptionRequired

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.ReportSponsoredResult
org.drinkless.tdlib.TdApi.ReportSponsoredResultOptionRequired

Enclosing class:
  `TdApi`

public static class TdApi.ReportSponsoredResultOptionRequired extends TdApi.ReportSponsoredResult
The user must choose an option to report the message and repeat request with the chosen option.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.ReportSponsoredResult

  `TdApi.ReportSponsoredResult.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.ReportOption[]`
  `options`
  List of available options.
  `String`
  `title`
  Title for the option choice.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReportSponsoredResultOptionRequired()`
  The user must choose an option to report the message and repeat request with the chosen option.
  `ReportSponsoredResultOptionRequired(String title, TdApi.ReportOption[] options)`
  The user must choose an option to report the message and repeat request with the chosen option.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### title

    public String title
    Title for the option choice.

  - ### options

    public TdApi.ReportOption[] options
    List of available options.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ReportSponsoredResultOptionRequired

    public ReportSponsoredResultOptionRequired()
    The user must choose an option to report the message and repeat request with the chosen option.

  - ### ReportSponsoredResultOptionRequired

    public ReportSponsoredResultOptionRequired(String title, TdApi.ReportOption[] options)
    The user must choose an option to report the message and repeat request with the chosen option.
    Parameters:
      `title` - Title for the option choice.
      `options` - List of available options.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.ReportSponsoredResult`
    Returns:
      this.CONSTRUCTOR